Git puffertúlcsordulási biztonsági hibája

CH azonosító

CH-13111

Angol cím

Git puffertúlcsordulási vulnerability

Felfedezés dátuma

2016.03.16.

Súlyosság

Közepes

Érintett rendszerek

Git

Érintett verziók

Git

Összefoglaló

A Git két sérülékenységet tartalmaz, amelyek puffertúlcsordulást idézhetnek elő.

Leírás

A sebezhetőségek tetszőleges kódok jogosulatlan futtatását segíthetik elő, és esetenként távoli rendszerhozzáféréshez is hozzájárulhatnak.

Mindkét biztonsági hiba speciálisan összeállított repository-k révén válhat kihasználhatóvá push vagy clone műveletvégrehajtások esetén.

Megoldás

A fejlesztők által kiadott, forráskód szintű hibajavítások alkalmazása.